aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/backup-websites32
1 files changed, 32 insertions, 0 deletions
diff --git a/scripts/backup-websites b/scripts/backup-websites
new file mode 100755
index 0000000..285f525
--- /dev/null
+++ b/scripts/backup-websites
@@ -0,0 +1,32 @@
+#!/usr/bin/env bash
+# Backup websites
+
+timestamp="$(date +"%Y%m%d-%H%M%S")-"
+
+# If the backup location doesn't exist yet, create it
+if [ ! -d $website_folder_destination ]; then
+ mkdir -p $website_folder_destination
+fi
+
+# If the parent directory of the backup source exists, enter it
+if [ -d $website_folder_source ]; then
+ cd $website_folder_source
+else
+ exit 1
+fi
+
+for subfolder in $website_folder_source*
+do
+ subfolder=$(basename $subfolder)
+ echo "$subfolder --> $website_folder_destination$timestamp$subfolder$tar_suffix$gpg_suffix"
+ # tar to /tmp
+ tar cfJ "$tmp$timestamp$subfolder$tar_suffix" $subfolder
+ # gpg to backup location
+ gpg -e \
+ -r "$gpg_public_key" \
+ -o "$website_folder_destination$timestamp$subfolder$tar_suffix$gpg_suffix" \
+ $tmp$timestamp$subfolder$tar_suffix
+ # remove tar in /tmp
+ rm -f $tmp$timestamp$subfolder$tar_suffix
+done
+